Sentiment
Prompts with their average brand sentiment.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidengines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200topics?stringComma-separated topic ids
length <= 2000countries?stringComma-separated ISO country codes, lowercase
length <= 1000scores?stringComma-separated brand sentiment buckets: low (<30), mixed (30 to 49), fair (50 to 74), high (75 to 100)
length <= 100from?stringAnswered on or after this UTC date; omit for all time
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date; omit for today
^\d{4}-\d{2}-\d{2}$sort?string"sentiment""sentiment""responses""text"order?string"asc""asc""desc"page?integer1 <= value1pageSize?integer1 <= value <= 20025One page of prompts with sentiment, mentions and topics
application/jsonitems*array<>total*integerpage*integerpageSize*integerbrands*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sentiment/prompts'{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "type": "string", "intent": "string", "countryCode": "string", "sentiment": 0, "responses": 0, "mentions": [ { "key": "string", "mentions": 0 } ], "topics": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "color": "string" } ] } ], "total": 0, "page": 0, "pageSize": 0, "brands": [ { "key": "string", "name": "string", "domain": "string", "logoUrl": "string", "isBrand": true } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sentiment/prompts'{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"text": "string",
"type": "string",
"intent": "string",
"countryCode": "string",
"sentiment": 0,
"responses": 0,
"mentions": [
{
"key": "string",
"mentions": 0
}
],
"topics": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"color": "string"
}
]
}
],
"total": 0,
"page": 0,
"pageSize": 0,
"brands": [
{
"key": "string",
"name": "string",
"domain": "string",
"logoUrl": "string",
"isBrand": true
}
]
}